> ## Documentation Index
> Fetch the complete documentation index at: https://docs.partnero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get lead

> Retrieve a specific lead by ID

## Endpoint

```
GET https://api.partnero.com/v1/leads/{id}
```

## Path Parameters

| Parameter | Type | Required | Description |
| - | - | - | - |
| `id` | integer | Yes | Lead's unique ID |

## Request

```bash cURL theme={"system"}
curl --location 'https://api.partnero.com/v1/leads/44' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_API_KEY'
```

## Response

<ResponseExample>
  ```json 200 OK theme={"system"}
  {
    "data": {
      "id": 44,
      "status": "submitted",
      "created_at": "2025-05-16",
      "lead_info": {
        "name": "Alice Brown",
        "email": "alice.brown@partnero.com"
      },
      "converted_to": null,
      "submitter": {
        "id": "partner_123",
        "name": "John Doe",
        "email": "john.doe@partnero.com"
      },
      "submission_form": [
        {
          "question": "Name",
          "answer": "Alice Brown"
        },
        {
          "question": "Email address",
          "answer": "alice.brown@partnero.com"
        },
        {
          "question": "Company",
          "answer": "Acme Inc"
        },
        {
          "question": "Budget",
          "answer": "$10,000+"
        }
      ],
      "can_be_converted": true,
      "can_be_rejected": true
    },
    "status": 1
  }
  ```
</ResponseExample>

### Response Fields

| Field | Type | Description |
| - | - | - |
| `data.id` | integer | Unique lead ID |
| `data.status` | string | Lead status: `submitted`, `converted`, `rejected` |
| `data.lead_info` | object | Basic lead information |
| `data.lead_info.name` | string | Lead's name |
| `data.lead_info.email` | string | Lead's email |
| `data.submitter` | object | Partner who submitted the lead |
| `data.submitter.id` | string | Partner ID |
| `data.submitter.name` | string | Partner name |
| `data.submitter.email` | string | Partner email |
| `data.submission_form` | array | Custom form field responses |
| `data.converted_to` | object \| null | Customer data if converted |
| `data.can_be_converted` | boolean | Whether lead can be converted to customer |
| `data.can_be_rejected` | boolean | Whether lead can be rejected |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.